OpenCV: cv::cuda::FarnebackOpticalFlow Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::cuda::FarnebackOpticalFlow Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Optical Flow

Class computing a dense optical flow using the Gunnar Farneback's algorithm. More...

`#include "cudaoptflow.hpp"`

Inheritance diagram for cv::cuda::FarnebackOpticalFlow:

## Public Member Functions
virtual bool | getFastPyramids () const =0
virtual int | getFlags () const =0
virtual int | getNumIters () const =0
virtual int | getNumLevels () const =0
virtual int | getPolyN () const =0
virtual double | getPolySigma () const =0
virtual double | getPyrScale () const =0
virtual int | getWinSize () const =0
virtual void | setFastPyramids (bool fastPyramids)=0
virtual void | setFlags (int flags)=0
virtual void | setNumIters (int numIters)=0
virtual void | setNumLevels (int numLevels)=0
virtual void | setPolyN (int polyN)=0
virtual void | setPolySigma (double polySigma)=0
virtual void | setPyrScale (double pyrScale)=0
virtual void | setWinSize (int winSize)=0
Public Member Functions inherited from cv::cuda::DenseOpticalFlow
virtual void | calc (InputArray I0, InputArray I1, InputOutputArray flow, Stream &stream=Stream::Null())=0
| Calculates a dense optical flow. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< FarnebackOpticalFlow > | create (int numLevels=5, double pyrScale=0.5, bool fastPyramids=false, int winSize=13, int numIters=10, int polyN=5, double polySigma=1.1, int flags=0)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class computing a dense optical flow using the Gunnar Farneback's algorithm.

## Member Function Documentation

## ◆ create()

static Ptr<FarnebackOpticalFlow> cv::cuda::FarnebackOpticalFlow::create | ( | int | numLevels = `5`,
|  | double | pyrScale = `0.5`,
|  | bool | fastPyramids = `false`,
|  | int | winSize = `13`,
|  | int | numIters = `10`,
|  | int | polyN = `5`,
|  | double | polySigma = `1.1`,
|  | int | flags = `0`
| ) |  |
| static

## ◆ getFastPyramids()

virtual bool cv::cuda::FarnebackOpticalFlow::getFastPyramids | ( |  | ) | const
| pure virtual

## ◆ getFlags()

virtual int cv::cuda::FarnebackOpticalFlow::getFlags | ( |  | ) | const
| pure virtual

## ◆ getNumIters()

virtual int cv::cuda::FarnebackOpticalFlow::getNumIters | ( |  | ) | const
| pure virtual

## ◆ getNumLevels()

virtual int cv::cuda::FarnebackOpticalFlow::getNumLevels | ( |  | ) | const
| pure virtual

## ◆ getPolyN()

virtual int cv::cuda::FarnebackOpticalFlow::getPolyN | ( |  | ) | const
| pure virtual

## ◆ getPolySigma()

virtual double cv::cuda::FarnebackOpticalFlow::getPolySigma | ( |  | ) | const
| pure virtual

## ◆ getPyrScale()

virtual double cv::cuda::FarnebackOpticalFlow::getPyrScale | ( |  | ) | const
| pure virtual

## ◆ getWinSize()

virtual int cv::cuda::FarnebackOpticalFlow::getWinSize | ( |  | ) | const
| pure virtual

## ◆ setFastPyramids()

virtual void cv::cuda::FarnebackOpticalFlow::setFastPyramids | ( | bool | fastPyramids | ) |
| pure virtual

## ◆ setFlags()

virtual void cv::cuda::FarnebackOpticalFlow::setFlags | ( | int | flags | ) |
| pure virtual

## ◆ setNumIters()

virtual void cv::cuda::FarnebackOpticalFlow::setNumIters | ( | int | numIters | ) |
| pure virtual

## ◆ setNumLevels()

virtual void cv::cuda::FarnebackOpticalFlow::setNumLevels | ( | int | numLevels | ) |
| pure virtual

## ◆ setPolyN()

virtual void cv::cuda::FarnebackOpticalFlow::setPolyN | ( | int | polyN | ) |
| pure virtual

## ◆ setPolySigma()

virtual void cv::cuda::FarnebackOpticalFlow::setPolySigma | ( | double | polySigma | ) |
| pure virtual

## ◆ setPyrScale()

virtual void cv::cuda::FarnebackOpticalFlow::setPyrScale | ( | double | pyrScale | ) |
| pure virtual

## ◆ setWinSize()

virtual void cv::cuda::FarnebackOpticalFlow::setWinSize | ( | int | winSize | ) |
| pure virtual

The documentation for this class was generated from the following file:

- cudaoptflow/include/opencv2/cudaoptflow.hpp